package org.ninjasoft.rovr.net;
import javax.swing.JTextField;

public class MovementListenerTextField implements MovementListener {
	private JTextField textField = null;
	private int counter = 1;
	
	private MovementListenerTextField() {}
	
	public MovementListenerTextField(JTextField textField) {
		this.textField = textField;
	}
	
	public void movementResponse(int responseCode, String message) {
		if (responseCode != 0) {
			this.textField.setText("Response #" + counter + ": " + responseCode + " " + message);
			counter++;
		}
	}

}
